Author Topic: Lisp for Page Setup  (Read 2666 times)

0 Members and 1 Guest are viewing this topic.

One Shot

  • Guest
Lisp for Page Setup
« on: March 03, 2006, 11:13:46 AM »
Is the a lisp toutine out there that can change multiple tabs at on time. If not, here is my idea for the lisp.

You have a dwg that has 12 tabs in it. Any your have to change all the page setups for all 12 tabs. What I would like to do is to change the first page setup to my desired setting. After that tab is updated, the remaining tabs will automatically update.



Thank you,

Brad

David Hall

  • Automatic Duh Generator
  • King Gator
  • Posts: 4076
Re: Lisp for Page Setup
« Reply #1 on: March 03, 2006, 11:24:15 AM »
Does it have to be LISP?  I have that in VBA now
Everyone has a photographic memory, Some just don't have film.
They say money can't buy happiness, but it can buy Bacon and that's a close second.
Sometimes the question is more important than the answer. (Thanks Kerry for reminding me)

One Shot

  • Guest
Re: Lisp for Page Setup
« Reply #2 on: March 03, 2006, 11:25:31 AM »
Does it have to be LISP?  I have that in VBA now

It does not have to be a lisp.

Thank you,

Brad

T.Willey

  • Needs a day job
  • Posts: 5251
Re: Lisp for Page Setup
« Reply #3 on: March 03, 2006, 11:31:53 AM »
Try this link.
Tim

I don't want to ' end-up ', I want to ' become '. - Me

Please think about donating if this post helped you.

ELOQUINTET

  • Guest
Re: Lisp for Page Setup
« Reply #4 on: March 03, 2006, 11:32:54 AM »
look in show your stuff cab just posted exactly what you want works great enjoy

Andrea

  • Water Moccasin
  • Posts: 2372
Re: Lisp for Page Setup
« Reply #5 on: March 03, 2006, 01:55:44 PM »
suggestion...

I have this code..from..??
Code: [Select]
;;  Function to delete all user plot set ups
(defun c:DPS (/ curdwg pslayout x)
  (vl-load-com)
  (setq
    curdwg   (vla-get-ActiveDocument (vlax-get-Acad-Object))
    pslayout (vla-get-Layout (vla-get-PaperSpace curdwg))
  ) ;_ end of setq
  ;; Call RefreshPlotDeviceInfo before GetPlotDeviceNames
  (vla-RefreshPlotDeviceInfo pslayout)
  (vlax-for x (vla-get-Plotconfigurations curdwg)
    (vla-delete x)
  ) ;_ end of vlax-for
)               ; End Plot_config_list
(c:DPS)

you can use this with the
(command ".-PSETUPIN" "PageSetups.dwg" "*")
for each tab...

ps: you can use (layoutlist)
Keep smile...